Package org.eclipse.mat.snapshot.extension

# Interface IClassSpecificNameResolver

All Known Implementing Classes:
  `CommonNameResolver.AccessibleObjectResolver`, `CommonNameResolver.AtomicBooleanResolver`, `CommonNameResolver.AtomicReferenceValueResolver`, `CommonNameResolver.AtomicStampedReferenceValueResolver`, `CommonNameResolver.BigDecimalResolver`, `CommonNameResolver.BigIntegerResolver`, `CommonNameResolver.ByteArrayResolver`, `CommonNameResolver.CharArrayResolver`, `CommonNameResolver.ClassTypeResolver`, `CommonNameResolver.ConstructorResolver`, `CommonNameResolver.EnumResolver`, `CommonNameResolver.ExternalDataResolver`, `CommonNameResolver.FieldResolver`, `CommonNameResolver.ICUBaseLocaleResolver`, `CommonNameResolver.Inet6AddressHolderResolver`, `CommonNameResolver.Inet6AddressResolver`, `CommonNameResolver.InetAddressHolderResolver`, `CommonNameResolver.InetAddressResolver`, `CommonNameResolver.InetSocketAddressHolderResolver`, `CommonNameResolver.InetSocketAddressResolver`, `CommonNameResolver.LocaleResolver`, `CommonNameResolver.MemberNameResolver`, `CommonNameResolver.MethodResolver`, `CommonNameResolver.ModuleResolver`, `CommonNameResolver.SocketChannelImpl`, `CommonNameResolver.StackTraceElementResolver`, `CommonNameResolver.StringBufferResolver`, `CommonNameResolver.StringResolver`, `CommonNameResolver.SunLocaleResolver`, `CommonNameResolver.ThreadGroupResolver`, `CommonNameResolver.ThreadResolver`, `CommonNameResolver.ULocaleResolver`, `CommonNameResolver.URIResolver`, `CommonNameResolver.URLResolver`, `CommonNameResolver.ValueResolver`, `EclipseNameResolver.EclipseClassLoaderResolver`, `EclipseNameResolver.EclipseDefaultClassLoaderResolver`, `EclipseNameResolver.EquinoxClassLoaderResolver`, `EclipseNameResolver.OSGiFrameworkVersion`, `EclipseNameResolver.PointResolver`, `EclipseNameResolver.RectangleResolver`, `EclipseNameResolver.RGBResolver`, `EclipseNameResolver.StartupClassLoaderResolver`, `JettyNameResolvers.JasperLoaderResolver`, `JettyNameResolvers.WebAppClassLoaderResolver`, `StackFrameResolver`, `StackFrameResolver`, `WildflyJbossNameResolvers.ModuleClassLoaderResolver`

public interface IClassSpecificNameResolver
Interface describing a name resolver for objects of specific classes (found in an snapshot), e.g. String (where the char[] is evaluated) or as specific class loader (where the appropriate field holding its name and thereby deployment unit is evaluated). Objects of this interface need to be registered using the `org.eclipse.mat.api.nameResolver` extension point. Implementations of this interface should be tagged with the `Subject` or `Subjects` annotation to specify the types of objects in the dump they describe.

## Method Summary

Modifier and Type
Method
Description
`String`
`resolve(IObject object)`
Resolve the name for snapshot object.

## Method Details

### resolve

String resolve(IObject object) throws SnapshotException
Resolve the name for snapshot object.

Parameters:
  `object` - object for which the name should be resolved
Returns:
  name for snapshot object
Throws:
  `SnapshotException` - problem retrieving the name